<!doctype html>

<html lang="{{ $.Site.LanguageCode }}">
<head>
  {{ partial "head.html" . }}
  {{- block "stylesheet" . }}{{- end}}
</head>
<body>
  <script type="text/javascript">
    if(localStorage.getItem("darkSwitch") === "dark" || (localStorage.getItem("darkSwitch") === null && window.matchMedia('(prefers-color-scheme: dark)').matches)) {
      document.body.setAttribute("data-bs-theme", "dark");
    } else {
      document.body.removeAttribute("data-bs-theme");
    }
  </script>

  <nav class="navbar navbar-expand-xl shadow">
    <div class="container">
      {{ $logo_img := resources.Get "images/logo.svg" }}
      <a class="navbar-brand" href="{{ relLangURL "" }}"><img src="{{ $logo_img.RelPermalink }}" alt="FS ETIT Logo" width="270" height="40" /></a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="justify-content-end collapse navbar-collapse " id="navbarSupportedContent">
        <ul class="navbar-nav">
          {{ partial "menu.html" (dict "menuID" "main" "page" .) }}
        </ul>
      </div>
    </div>
  </nav>
	{{- block "main" .}}{{- end}}
  {{ partial "footer.html" . }}
</body>
</html>
